<?php 

if ( ! defined('ABSPATH') && ! defined('WP_UNINSTALL_PLUGIN') ) {
	exit();
}

$lievo_options = get_option( 'livicons_evolution_general_options' );
if ( 'true' === $lievo_options['delete_options_on_uninstall'] ) {
	livicons_evolution_uninstall();
}
function livicons_evolution_uninstall() {
	// delete plugin's options from the database
	delete_option( 'livicons_evolution_version' );
	delete_option( 'livicons_evolution_general_options' );
	delete_option( 'livicons_evolution_visualization_options' );
	delete_option( 'livicons_evolution_animation_options' );
	delete_option( 'livicons_evolution_activation' );
	delete_option( 'livicons_evolution_dynamic_string' );

	// delete custom CSS and JS files in the wp-content/uploads/livicons-evolution dir and the directory itself
	global $wp_filesystem;
	$uploads_dir_params = wp_upload_dir();
	$uploads_dir = $uploads_dir_params['basedir'] . '/livicons-evolution';
	$custom_css_file = $uploads_dir . '/LivIconsEvo.custom.css';
	$custom_js_file = $uploads_dir . '/LivIconsEvo.custom.js';
	
	if ( $wp_filesystem->exists( $custom_css_file ) && $wp_filesystem->is_writable( $custom_css_file ) ) {
		$wp_filesystem->delete( $custom_css_file );
	}
	if ( $wp_filesystem->exists( $custom_js_file ) && $wp_filesystem->is_writable( $custom_js_file ) ) {
		$wp_filesystem->delete( $custom_js_file );
	}
	if ( $wp_filesystem->is_dir( $uploads_dir ) && $wp_filesystem->is_writable( $uploads_dir ) ) {
		$wp_filesystem->rmdir( $uploads_dir );
	}
}
?>